﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Invoice.aspx.cs" Inherits="AspxToPdfTutorial.Invoice" %>

<!DOCTYPE html>
<html>
<head runat ="server">
	<title>My Invoice</title>
	<style type="text/css">
	   .invoice-container {
      	max-width: 800px;
      	margin: auto;
      	padding: 30px;
      	border: 1px solid #eee;
      	box-shadow: 0 0 10px rgba(0, 0, 0, .15);
      	font-size: 16px;
      	line-height: 24px;
      	font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
      	color: #555;
      }
      .invoice-container table {
      	width: 100%;
      	line-height: inherit;
      	text-align: left;
      }
      .invoice-container table td {
      	padding: 5px;
      	vertical-align: top;
      }
      .invoice-container table tr td:nth-child(2) {
      	text-align: right;
      }
      .invoice-container table tr.top table td {
      	padding-bottom: 20px;
      }
      .invoice-container table tr.top table td.title {
      	font-size: 45px;
      	line-height: 45px;
      	color: #333;
      }
      .invoice-container table tr.information table td {
      	padding-bottom: 40px;
      }
      .invoice-container table tr.heading td {
      	background: #eee;
      	border-bottom: 1px solid #ddd;
      	font-weight: bold;
      }
      .invoice-container table tr.details td {
      	padding-bottom: 20px;
      }
      .invoice-container table tr.item td {
      	border-bottom: 1px solid #eee;
      }
      .invoice-container table tr.item.last td {
      	border-bottom: none;
      }
      .invoice-container table tr.total td:nth-child(2) {
      	border-top: 2px solid #eee;
      	font-weight: bold;
      }
      @media only print {
      	.invoice-container table tr.top table td {
      		width: 100%;
      		display: block;
      		text-align: center;
      	}
      	.invoice-container table tr.information table td {
      		width: 100%;
      		display: block;
      		text-align: center;
      	}
      }
	</style>
</head>
<body>
	<div class="invoice-container">
		<table cellpadding="0" cellspacing="0">
			<tr class="top">
				<td colspan="2">
					<table>
						<tr>
							<td class="title">Some company</td>
							<td>Invoice #: 101<br>
							Created: January 1, 2017<br>
							Due: February 1, 2017</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr class="information">
				<td colspan="2">
					<table>
						<tr>
							<td>Just another company, Inc.<br>
							01 Another st.<br>
							Another City, AK 00001</td>
							<td>Awesome company, Inc.<br>
							Steve Stevenson<br>
							awesomeSteve@awesomecompany.com</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr class="heading">
				<td>Item name</td>
				<td>Price</td>
			</tr>
			<tr class="item">
				<td>Architecture design</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Prototyping</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Back End development</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Front End development</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Testing</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Bug fixing</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Support</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page. (lost my courage on this one, sorry)</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="item">
				<td>Just couple of more items to hit Paging for A4 size page.</td>
				<td>100.00</td>
			</tr>
			<tr class="total">
				<td></td>
				<td>Total: 100500.00</td>
			</tr>
		</table>
	</div>
</body>
</html>